// (c) MIT 2003.  All rights reserved.

package rec.core;


////////////////////////////////////////////////////////////////////////////////
//
// FILE:	ClickConsumer.java
//
// AUTHOR:	Manoj D. Muzumdar
//		archon@ai.mit.edu
//
// DATE:	September, 1998
//
// COPYRIGHT:	Massachusetts Institute of Technology
//		All rights reserved.
//
// PURPOSE:	Drawing recognition
//
// HISTORY:
//
///////////////////////////////////////////////////////////////////////////////


import java.io.*;
import java.util.*;
import rec.sys.*;

public class ClickConsumer extends Consumer
{
  public ClickConsumer()
  {
  }

  /////////////////////////////////////////////////////////////////////////////

  public boolean recognize( Surface s, Widget w )
  {
    s.removeWidget( w );

    return( true );
  }

  public Iterator getInputTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.WClick" );

    return( v.iterator() );
  }

  public Iterator getOutputTypes()
  {
    return( null );
  }
}

////////////////////////////////////////////////////////////////////////////////
